Tp::ProtocolParameter Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ProtocolParameter Class Reference
Connection manager proxies

The ProtocolParameter class represents a Telepathy protocol parameter. More...

`#include <TelepathyQt/ProtocolParameter>`

## Public Member Functions
| ProtocolParameter ()
| ProtocolParameter (const ParamSpec &spec)
| ProtocolParameter (const QString &name, const QDBusSignature &dbusSignature, ConnMgrParamFlags flags, QVariant defaultValue=QVariant())
| ProtocolParameter (const QString &name, const QString &dbusSignature, ConnMgrParamFlags flags, QVariant defaultValue=QVariant())
| ProtocolParameter (const ProtocolParameter &other)
| ~ProtocolParameter ()
bool | isValid () const
ProtocolParameter & | operator= (const ProtocolParameter &other)
bool | operator== (const ProtocolParameter &other) const
bool | operator== (const QString &name) const
bool | operator< (const ProtocolParameter &other) const
QString | name () const
QDBusSignature | dbusSignature () const
QVariant::Type | type () const
QVariant | defaultValue () const
bool | isRequired () const
bool | isSecret () const
bool | isRequiredForRegistration () const
ParamSpec | bareParameter () const

## Detailed Description

The ProtocolParameter class represents a Telepathy protocol parameter.

## Constructor & Destructor Documentation

Tp::ProtocolParameter::ProtocolParameter | ( |  | ) |

Tp::ProtocolParameter::ProtocolParameter | ( | const ParamSpec & | spec | ) |

Tp::ProtocolParameter::ProtocolParameter | ( | const QString & | name,
|  | const QDBusSignature & | dbusSignature,
|  | ConnMgrParamFlags | flags,
|  | QVariant | defaultValue = `QVariant()`
| ) |  |

Tp::ProtocolParameter::ProtocolParameter | ( | const QString & | name,
|  | const QString & | dbusSignature,
|  | ConnMgrParamFlags | flags,
|  | QVariant | defaultValue = `QVariant()`
| ) |  |

Tp::ProtocolParameter::ProtocolParameter | ( | const ProtocolParameter & | other | ) |

Tp::ProtocolParameter::~ProtocolParameter | ( |  | ) |

## Member Function Documentation

bool Tp::ProtocolParameter::isValid | ( |  | ) | const
| inline

ProtocolParameter & Tp::ProtocolParameter::operator= | ( | const ProtocolParameter & | other | ) |

bool Tp::ProtocolParameter::operator== | ( | const ProtocolParameter & | other | ) | const

bool Tp::ProtocolParameter::operator== | ( | const QString & | name | ) | const

bool Tp::ProtocolParameter::operator< | ( | const ProtocolParameter & | other | ) | const

QString Tp::ProtocolParameter::name | ( |  | ) | const

QDBusSignature Tp::ProtocolParameter::dbusSignature | ( |  | ) | const

QVariant::Type Tp::ProtocolParameter::type | ( |  | ) | const

QVariant Tp::ProtocolParameter::defaultValue | ( |  | ) | const

bool Tp::ProtocolParameter::isRequired | ( |  | ) | const

bool Tp::ProtocolParameter::isSecret | ( |  | ) | const

bool Tp::ProtocolParameter::isRequiredForRegistration | ( |  | ) | const

ParamSpec Tp::ProtocolParameter::bareParameter | ( |  | ) | const